Subject: bug#32555: 26.1; Async command buffer navigation bug

From: Live System User <[email-masked]>
Date: Wed, 29 Aug 2018 13:00:41 -0400

Noam Postavsky <[email-masked]> writes:

> tags 32555 = fixed
> merge 32555 11224
> close 32555 27.1
> quit
>
> Live System User <[email-masked]> writes:
>
>> (add-hook 'shell-mode-hook
>
>>              (local-set-key [up]          ; cycle backward through command history
>>                             '(lambda () (interactive)
>>                                (if (comint-after-pmark-p)
>>                                    (comint-previous-input 1)
>>                                  (previous-line 1))))
>
>>     I've never had issues with this code before.
>
> That seems surprising since this problem is only fixed on the master
> branch since February.
>
> [1: aaeb101d89]: 2018-02-10 23:46:13 +0200
>   * lisp/comint.el (comint-after-pmark-p): Check if buffer has a live process.
>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=aaeb101d899a09e18630466c348041a172cd5d91

    Thanks for your  research.

    I have been switching back and forth between Emacs versions
    and it is possinle I got this error when not running master.

    I no longer have that session running so I can't double-check.

    I do see that it is working in a new Emacs session running
    master that was built today...

   Its mode-line contains:

          (Shell:no process Shell-Compile)

    Thanks.